Bug 13597 - Denied access for all client printing operations against Windows 2016 (spoolss and iremotewinspool)
Denied access for all client printing operations against Windows 2016 (spools...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.9.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-31 16:58 UTC by Guenther Deschner
Modified: 2018-09-24 07:22 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.9 (10.01 KB, patch)
2018-09-12 15:15 UTC, jstephen
asn: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2018-08-31 16:58:47 UTC
All client printing operations that involve a spoolss_UserLevel1 struct (OpenPrinterEx/AddPrinterEx) currently fail with access denied as we announce our build version as some very old windows client OS, we need to increase it to at least 6000 to operate against Windows 2016 again.

(Clarification about the importance of that buildnumber field in that struct is underway and will be documented in the specs).

We should increase the default value and make it configurable.
Comment 1 jstephen 2018-09-12 15:15:56 UTC
Created attachment 14486 [details]
patch for 4.9

patch for 4.9
Comment 2 Jeremy Allison 2018-09-17 21:33:26 UTC
Comment on attachment 14486 [details]
patch for 4.9

LGTM for 4.9.next.
Comment 3 Jeremy Allison 2018-09-17 21:48:31 UTC
Re-assigning to Karolin for inclusion in 4.9.next.
Comment 4 Karolin Seeger 2018-09-20 07:08:46 UTC
Pushed to autobuild-v4-9-test.
Comment 5 Karolin Seeger 2018-09-24 07:22:23 UTC
Pushed to v4-9-test.
Closing out bug report.

Thanks!